=== debian/changelog ===
libzypp (17.35.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.1'

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Jul 2024 11:49:17 +0100
