=== debian/changelog ===
libzypp (17.35.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.2'

 -- Luca Boccassi <bluca@debian.org>  Thu, 11 Jul 2024 10:16:11 +0100
