=== debian/changelog ===
libzypp (17.35.9-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.9'

 -- Luca Boccassi <bluca@debian.org>  Fri, 09 Aug 2024 11:19:16 +0100

libzypp (17.35.8-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.8'

 -- Luca Boccassi <bluca@debian.org>  Sun, 04 Aug 2024 12:39:17 +0100

libzypp (17.35.7-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.7'

 -- Luca Boccassi <bluca@debian.org>  Fri, 02 Aug 2024 09:56:34 +0100

libzypp (17.35.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.4'

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Jul 2024 14:58:37 +0100

libzypp (17.35.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.3'

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Jul 2024 14:18:06 +0100
