## libzypp 17.35.12

=== debian/changelog ===
libzypp (17.35.12-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.12'

 -- Luca Boccassi <bluca@debian.org>  Sun, 13 Oct 2024 16:49:05 +0100

libzypp (17.35.11-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.11'

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Sep 2024 10:59:58 +0200

libzypp (17.35.10-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.10'

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Sep 2024 12:19:14 +0200
