## libzypp 17.35.16

=== debian/changelog ===
libzypp (17.35.16-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.16'

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Dec 2024 11:26:37 +0000

libzypp (17.35.15-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.15'
  * Drop last patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 Dec 2024 10:24:56 +0000

libzypp (17.35.14-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.14'

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Nov 2024 14:00:09 +0000

libzypp (17.35.13-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.13'
  * Drop out-of-tree patch and use dh-exec to rename cmake files
  * Drop lines for removed files from d/copyright

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Nov 2024 11:29:09 +0000
