## libzypp 17.35.18

=== debian/changelog ===
libzypp (17.35.18-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 17.35.9-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 05 Sep 2024 21:27:32 +0000]
  * Add build-depends on liblzma-dev.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 01 Feb 2025 20:28:12 +0000

libzypp (17.35.18-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.18'
  * Adjust cmake files installation paths

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 Jan 2025 13:47:27 +0000
