## libzypp 17.35.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 PROJECT(LIBZYPP)
 SET( PACKAGE "libzypp" )
@@ -9,6 +9,11 @@
 )
 INCLUDE(ZyppCommon)
 INCLUDE(CMakePushCheckState)
+
+# use Boost's config file
+if(POLICY CMP0167)
+  cmake_policy(SET CMP0167 NEW)
+endif()
 
 # allow name libraries by name mixed with full
 # paths
@@ -151,7 +156,6 @@
 
 GENERATE_PACKAGING(${PACKAGE} ${VERSION})
 
-INCLUDE(CPack)
 ####################################################################
 FIND_PACKAGE(Boost REQUIRED COMPONENTS program_options unit_test_framework thread)
 IF (Boost_FOUND)
@@ -257,4 +261,3 @@
 pkg_search_module(GPGME gpgme>=1.8.0)
 IF ( GPGME_FOUND )
   MESSAGE(STATUS "Found gpgme ${GPGME_VERSION}" )
-  target_include_directories( zypp_general_compiler_flags INTERFACE ${GPGME_INCLUDE_DIRS} )
