=== debian/changelog ===
libzypp (17.35.19-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 17.35.9-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 05 Sep 2024 21:27:32 +0000]
  * Add build-depends on liblzma-dev.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 07 Feb 2025 02:10:40 +0000

libzypp (17.35.19-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.19'

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jan 2025 11:11:13 +0000
