=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
                dejagnu,
                nginx,
                vsftpd,
+               liblzma-dev,
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libzypp
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libzypp.git
