=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,4 @@
 
 override_dh_auto_test:
 	mkdir -p $(HOME)/.gnupg
-	dh_auto_test -- ARGS+='--exclude-regex \(NetworkRequestDispatcher_test\|EvDownloader_test\|Provider_test\|RepoInfo_test\|MirrorList_test\)'
+	#dh_auto_test -- ARGS+='--exclude-regex \(NetworkRequestDispatcher_test\|EvDownloader_test\|Provider_test\|RepoInfo_test\|MirrorList_test\)'
