## libzypp 17.36.0

=== debian/changelog ===
libzypp (17.36.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2025 10:50:30 +0000
