## libzypp 17.36.1

=== debian/changelog ===
libzypp (17.36.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.1'

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Feb 2025 09:37:32 +0000
