## libzypp 17.36.2

=== zypp/CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,17 @@
 FILE( GLOB_RECURSE POT_FILE_DEPENDS RELATIVE ${LIBZYPP_SOURCE_DIR} "*.h" "*.cc" )
 SET( POT_FILE_DEPENDS_ZYPP ${POT_FILE_DEPENDS} PARENT_SCOPE )
 
-
 ADD_DEFINITIONS( -DZYPP_DLL )
 INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/sywu/include )
 INCLUDE_DIRECTORIES( ${LIBZYPP_SOURCE_DIR} ${LIBZYPP_BINARY_DIR} ${LIBZYPP_SOURCE_DIR}/libs/zypp-core SYSTEM )
 
-message(${LIBZYPP_SOURCE_DIR}/zypp-core)
+
+FIND_PACKAGE(Rpm REQUIRED)
+IF ( NOT RPM_FOUND)
+  MESSAGE( FATAL_ERROR " rpm-devel not found" )
+ENDIF ( NOT RPM_FOUND)
+
+
 
 # add_definitions( -DENABLE_SYWU )
 # add_subdirectory(sywu)
@@ -40,7 +45,6 @@
   HistoryLogData.cc
   IdString.cc
   InstanceId.cc
-  KeyManager.cc
   KeyRing.cc
   KeyRingContexts.cc
   Locks.cc
@@ -56,7 +60,6 @@
   ProblemSolution.cc
   Product.cc
   ProvideFilePolicy.cc
-  PublicKey.cc
   PurgeKernels.cc
   Range.cc
   Rel.cc
@@ -200,7 +203,6 @@
 
 SET( zypp_base_SRCS
   base/Backtrace.cc
-  base/DrunkenBishop.cc
   base/SerialNumber.cc
   base/Random.cc
   base/Measure.cc
@@ -247,7 +249,6 @@
   media/MediaDISK.cc
   media/MediaCIFS.cc
   media/MediaNetworkCommonHandler.cc
-  media/MediaNetwork.cc
   media/MediaCurl.cc
   media/MediaMultiCurl.cc
   media/MediaISO.cc
@@ -264,7 +265,6 @@
   media/MediaCurl.h
   media/MediaMultiCurl.h
   media/MediaNetworkCommonHandler.h
-  media/MediaNetwork.h
   media/MediaDIR.h
   media/MediaDISK.h
   media/MediaException.h
@@ -357,7 +357,6 @@
 
 SET( zypp_parser_HEADERS
   parser/HistoryLogReader.h
-  parser/ParserProgress.h
   parser/RepoFileReader.h
   parser/RepoindexFileReader.h
   parser/ServiceFileReader.h
@@ -602,3 +601,5 @@
   target/rpm/librpmDb.cc
 )
 
+SET( zypp_target_rpm_HEADERS
+  target/rpm/BinHeader.h
