=== debian/changelog ===
libzypp (17.36.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.2'

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Feb 2025 17:39:14 +0000
