## libzypp 17.36.4

=== debian/changelog ===
libzypp (17.36.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.4'
  * Skip failing unit test (Closes: #1099245)

 -- Luca Boccassi <bluca@debian.org>  Sun, 02 Mar 2025 13:01:54 +0000
